Create a new Recipient Group
curl --request POST \
--url https://staging.api.onenumber.africa/v1/recipient-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"recipients": [
{}
]
}
'import requests
url = "https://staging.api.onenumber.africa/v1/recipient-groups"
payload = {
"name": "<string>",
"recipients": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', recipients: [{}]})
};
fetch('https://staging.api.onenumber.africa/v1/recipient-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 123,
"message": "<string>",
"data": [
{
"reference": "<string>",
"name": "<string>",
"recipients": [
{
"reference": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
}
]
}
]
}Recipient Groups
Create a new Recipient Group
POST
/
recipient-groups
Create a new Recipient Group
Request Body Parameters
string
required
The name of the group. The group name must be unique.
array
required
The recipients to receive be added to the group. This can contain valid phone numbers and Recipient references.
Successful Response Data
int
required
The status of the response. For successful response, value is 201. Check the Response Codes page for details.
string
required
The message of the response.
⌘I
